curl --request GET \
--url https://neo.api.projectdiscovery.io/api/v1/agents/user \
--header 'Authorization: Bearer <token>'{
"total_agents": 123,
"agents": [
{
"description": "<string>",
"has_dynamic_tools": true,
"has_memory": true,
"id": "<string>",
"name": "<string>",
"tools_count": 123,
"type": "user",
"config_hash": "<string>",
"config_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"custom_tools": [
{
"commandTemplate": "<string>",
"description": "<string>",
"id": "<string>",
"inputSchema": {},
"isExecutable": true,
"scriptContent": "<string>",
"scriptPath": "<string>",
"timeoutSeconds": 123
}
],
"custom_tools_count": 123,
"fork_count": 123,
"has_installation_requirements": true,
"install_commands": [
"<string>"
],
"native_tools": [
"<string>"
],
"original_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prereq_packages": [
"<string>"
],
"published_at": "2023-11-07T05:31:56Z",
"require_env_vars": [
"<string>"
],
"system_context": "<string>",
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verify_commands": [
"<string>"
],
"visibility": "public",
"when_to_use": "<string>"
}
]
}List all agents created by the current user
curl --request GET \
--url https://neo.api.projectdiscovery.io/api/v1/agents/user \
--header 'Authorization: Bearer <token>'{
"total_agents": 123,
"agents": [
{
"description": "<string>",
"has_dynamic_tools": true,
"has_memory": true,
"id": "<string>",
"name": "<string>",
"tools_count": 123,
"type": "user",
"config_hash": "<string>",
"config_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"custom_tools": [
{
"commandTemplate": "<string>",
"description": "<string>",
"id": "<string>",
"inputSchema": {},
"isExecutable": true,
"scriptContent": "<string>",
"scriptPath": "<string>",
"timeoutSeconds": 123
}
],
"custom_tools_count": 123,
"fork_count": 123,
"has_installation_requirements": true,
"install_commands": [
"<string>"
],
"native_tools": [
"<string>"
],
"original_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"original_creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prereq_packages": [
"<string>"
],
"published_at": "2023-11-07T05:31:56Z",
"require_env_vars": [
"<string>"
],
"system_context": "<string>",
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verify_commands": [
"<string>"
],
"visibility": "public",
"when_to_use": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt
Use this file to discover all available pages before exploring further.